Page MenuHomePhabricator

ContentTranslation should not save pages with <span.*contenteditable="false".*>
Closed, ResolvedPublic

Event Timeline

He7d3r created this task.Apr 30 2016, 6:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2016, 6:43 PM
He7d3r renamed this task from ContentTranslation should not save pages with <span class="nowrap" contenteditable="false"> to ContentTranslation should not save pages with <span.*contenteditable="false".*>.Apr 30 2016, 6:56 PM
He7d3r updated the task description. (Show Details)
Amire80 moved this task from Needs Triage to CX9 on the ContentTranslation board.May 1 2016, 1:20 PM
He7d3r updated the task description. (Show Details)May 1 2016, 6:13 PM

You can use: insource:/contenteditable=/ to catch it in already uploaded content.
It seems to be common in citation templates.

He7d3r updated the task description. (Show Details)May 15 2016, 1:01 AM

Change 294030 had a related patch set uploaded (by Santhosh):
Improve the HTML preparation before publishing

https://gerrit.wikimedia.org/r/294030

Change 294030 merged by jenkins-bot:
Improve the HTML preparation before publishing

https://gerrit.wikimedia.org/r/294030

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 5 board.Jun 23 2016, 8:03 AM
Amire80 added a subscriber: Amire80.

This is probably fixed, but I'll wait till the end of the week to be sure.

Arrbee closed this task as Resolved.Jul 5 2016, 7:03 AM